INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_FILTER_AVX2 filter_avx2)

FIND_PATH(
    FILTER_AVX2_INCLUDE_DIRS
    NAMES filter_avx2/api.h
    HINTS $ENV{FILTER_AVX2_DIR}/include
        ${PC_FILTER_AVX2_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    FILTER_AVX2_LIBRARIES
    NAMES gnuradio-filter_avx2
    HINTS $ENV{FILTER_AVX2_DIR}/lib
        ${PC_FILTER_AVX2_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(FILTER_AVX2 DEFAULT_MSG FILTER_AVX2_LIBRARIES FILTER_AVX2_INCLUDE_DIRS)
MARK_AS_ADVANCED(FILTER_AVX2_LIBRARIES FILTER_AVX2_INCLUDE_DIRS)

