INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_FILTER_OPENCL filter_opencl)

FIND_PATH(
    FILTER_OPENCL_INCLUDE_DIRS
    NAMES filter_opencl/api.h
    HINTS $ENV{FILTER_OPENCL_DIR}/include
        ${PC_FILTER_OPENCL_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    FILTER_OPENCL_LIBRARIES
    NAMES gnuradio-filter_opencl
    HINTS $ENV{FILTER_OPENCL_DIR}/lib
        ${PC_FILTER_OPENCL_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(FILTER_OPENCL DEFAULT_MSG FILTER_OPENCL_LIBRARIES FILTER_OPENCL_INCLUDE_DIRS)
MARK_AS_ADVANCED(FILTER_OPENCL_LIBRARIES FILTER_OPENCL_INCLUDE_DIRS)

